// job/frontend/src/components/Navbar.tsx
import React from 'react';
import { Link } from 'react-router-dom';
import AppBar from '@mui/material/AppBar';
import Toolbar from '@mui/material/Toolbar';
import Typography from '@mui/material/Typography';
import Button from '@mui/material/Button';

const Navbar: React.FC = () => {
  return (
    <AppBar position="static">
      <Toolbar>
        <Typography variant="h6" component="div" sx={{ flexGrow: 1 }}>
          <Link to="/" style={{ textDecoration: 'none', color: 'inherit' }}>
            JobFinder
          </Link>
        </Typography>
        <Button color="inherit" component={Link} to="/">
          Rechercher
        </Button>
        {/* FUTURE: Ajoutez d'autres boutons ici pour Favoris, Connexion, etc. */}
        {/* <Button color="inherit" component={Link} to="/favorites">
          Mes Favoris
        </Button> */}
        {/* <Button color="inherit" component={Link} to="/login">
          Connexion
        </Button> */}
      </Toolbar>
    </AppBar>
  );
};

export default Navbar;
